Bug 189424 - converters/wkhtmltopdf needs x11-fonts/xorg-fonts
Summary: converters/wkhtmltopdf needs x11-fonts/xorg-fonts
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-05-07 18:00 UTC by Vick Khera
Modified: 2018-06-13 13:58 UTC (History)
2 users (show)

See Also:


Attachments
example output on headless server (68.66 KB, image/png)
2018-06-13 12:36 UTC, Vick Khera
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Vick Khera 2014-05-07 18:00:00 UTC
	

the wkhtmltoimage program needs fonts to render pages. there should be a
dependency to something like x11-fonts/xorg-fonts-truetype or xorg-fonts-type1
or both to provide those fonts.

Fix: 

add run dependency for x11-fonts/xorg-fonts-truetype or perhaps just
xorg-fonts to get all the fonts. I personally just use truetype and type1
sets.
How-To-Repeat: 	

install converters/wkhtmltopng package on a headless server (ie does not
already have X11 on it)

wkhtmltoimage http://www.freebsd.org fb.png

the png file will have boxes for all characters. Install the fonts, and it
looks like it should.
Comment 1 Edwin Groothuis freebsd_committer 2014-05-07 18:00:07 UTC
Responsible Changed
From-To: freebsd-ports-bugs->freebsd-x11

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Niclas Zeising freebsd_committer 2014-05-07 18:29:17 UTC
I can't find the mentioned port, converters/wkhtmltopng.
However, this is an issue with that port, not with x11-fonts/xorg-fonts
or any related x11@ ports.
Regards!
-- 
Niclas Zeising
Comment 3 Niclas Zeising freebsd_committer 2014-05-07 18:29:44 UTC
Responsible Changed
From-To: freebsd-x11->freebsd-ports-bugs

Fix synopsis and punt back to the pool, this is not a x11 related issue.
Comment 4 Vick Khera 2014-05-08 19:33:59 UTC
Oops. I mistyped it. It should be wkhtmltopdf

> On May 7, 2014, at 13:29, Niclas Zeising <zeising@freebsd.org> wrote:
> 
> I can't find the mentioned port, converters/wkhtmltopng.
> However, this is an issue with that port, not with x11-fonts/xorg-fonts
> or any related x11@ ports.
> Regards!
> -- 
> Niclas Zeising
Comment 5 Raphael Kubo da Costa freebsd_committer 2014-06-20 15:45:52 UTC
Retitle and assign to maintainer.
Comment 6 w.schwarzenfeld freebsd_triage 2018-01-11 16:22:36 UTC
Is this still relevant?
Comment 7 Kurt Jaeger freebsd_committer 2018-06-13 05:26:26 UTC
I'll test if this can be fixed.
Comment 8 Kurt Jaeger freebsd_committer 2018-06-13 05:54:36 UTC
Tested with four sites, after removing 

font-bh-ttf encodings cantarell-fonts font-misc-meltho and xorg-fonts-truetype

Sites still rendered fine.

I'll close this ticket, and if we find a site that fails to render without
xorg-fonts, we'll restart the investigation.
Comment 9 Vick Khera 2018-06-13 12:33:13 UTC
It just needs *some* fonts. Did you remove all fonts from the system? There's no way it can render anything if no fonts are installed.

My original bug report shows exactly how to reproduce it. I just did it again on a completely different system than my original report.

Start with a headless server that does not have X11 installed on it. A fresh install will do.

pkg install wkhtmltopdf
wkhtmltoimage http://www.freebsd.org fb.png

When you view fb.png, it has no text, just boxes.  I'm attaching the file it just produced right now.
Comment 10 Vick Khera 2018-06-13 12:36:23 UTC
Created attachment 194221 [details]
example output on headless server

I had to run the image through a png compressor to fit in the attachment size limit, so it is not exactly the same file produced, but visually it is the same.
Comment 11 Kurt Jaeger freebsd_committer 2018-06-13 13:52:52 UTC
Ok, I could reproduce the problem, after I deleted a few more fonts.
Comment 12 Kurt Jaeger freebsd_committer 2018-06-13 13:58:47 UTC
Committed, thanks!
Comment 13 commit-hook freebsd_committer 2018-06-13 13:58:59 UTC
A commit references this bug:

Author: pi
Date: Wed Jun 13 13:58:43 UTC 2018
New revision: 472325
URL: https://svnweb.freebsd.org/changeset/ports/472325

Log:
  converters/wkhtmltopdf: add run-dependency on x11-fonts/webfonts

  - otherwise characters are rendered as small blocks

  PR:		189424
  Submitted by:	Vick Khera <vivek@khera.org>

Changes:
  head/converters/wkhtmltopdf/Makefile